//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class MessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool? YesNoCancelDialog(string text)
{
   return YesNoCancelDialog( (WF.IWin32Window)null, text );
}

//--------------------------------------------------------------------------------------------------

public static bool? YesNoCancelDialog([HOptional] WF.IWin32Window owner,string text)
{
   return YesNoCancelDialog( owner, text, null );
}

//==================================================================================================

public static bool? YesNoCancelDialog(string text,[HOptional] string caption)
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, text, caption );
}

public static bool? YesNoCancelDialog( string text, [HOptional] string caption,
                                       WF.DialogResult defaultResult )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, text, caption, defaultResult );
}

//--------------------------------------------------------------------------------------------------

public static bool? YesNoCancelDialog( [HOptional] WF.IWin32Window owner,
                                       string text, [HOptional] string caption )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, owner, text, caption );
}

public static bool? YesNoCancelDialog( [HOptional] WF.IWin32Window owner,
                                       string text, [HOptional] string caption,
                                       WF.DialogResult defaultResult )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, owner, text, caption, defaultResult );
}

//==================================================================================================

public static bool? YesNoCancelDialog( string text,
                                       [HOptional] string caption,
                                       WF.MessageBoxIcon icon )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, text, caption, icon );
}

public static bool? YesNoCancelDialog( string text, [HOptional] string caption,
                                       WF.MessageBoxIcon icon,
                                       WF.DialogResult defaultResult )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, text, caption, icon, defaultResult );
}

//--------------------------------------------------------------------------------------------------

public static bool? YesNoCancelDialog( [HOptional] WF.IWin32Window owner, string text,
                                       [HOptional] string caption, WF.MessageBoxIcon icon )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null, owner, text, caption, icon );
}

public static bool? YesNoCancelDialog( [HOptional] WF.IWin32Window owner, string text,
                                       [HOptional] string caption, WF.MessageBoxIcon icon,
                                       WF.DialogResult defaultResult )
{
   return YesNoCancelDialog( (ShowMessageExtraInfo)null,
      owner, text, caption, icon, defaultResult );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MessageBox
//**************************************************************************************************

} // WFX
